MSGGREP(1)

NOM
msggrep — Recherche de correspondances de motif dans un catalogue de messages

SYNOPSIS
msggrep [OPTION] [FICHIER_ENTRÉE]

DESCRIPTION

Cet utilitaire extrait tous les messages d’un catalogue de traduction qui correspondent à un motif donné ou appartiennent aux fichiers source donnés.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

  Emplacement du fichier d'entrée :

FICHIER_ENTRÉE
    fichier PO d'entrée

-D, --directory=RÉPERTOIRE
    ajouter RÉPERTOIRE à la liste pour la recherche de fichiers d'entrée

Si aucun fichier d'entrée n'est indiqué ou si c'est « - », c'est l'entrée standard qui est lue.

  Emplacement du fichier de sortie :

-o, --output-file=FICHIER_SORTIE
    écrire la sortie dans le fichier spécifié

Les résultats seront écrits sur la sortie standard si aucun fichier n'est spécifié ou si c'est « - ».

  Sélection de messages :

    [-N FICHIER_SOURCE]... [-M NOM_DOMAINE]... [-J MOTIF_MSGCTXT] [-K MOTIF_MSGID] [-T MOTIF_MSGSTR] [-C MOTIF_COMMENTAIRE] [-X MOTIF_COMMENTAIRE_EXTRAIT] [-W MARQUEUR_ÉTAT_TRADUCTION] [-S MARQUEUR_PERSISTANT]

Un message est sélectionné s’il appartient à un des fichiers source spécifiés ou à un des domaines donnés, ou si -J est spécifiée et si son contexte (msgctxt) correspond à MOTIF_MSGCTXT, ou si -K est spécifiée et si sa clé (msgid ou msgid_plural) correspond à MOTIF_MSGID, ou si -T est spécifiée et si sa traduction (msgstr) correspond à MOTIF_MSGSTR, ou si -C est spécifiée et si le commentaire du traducteur correspond à MOTIF_COMMENTAIRE, ou si -X est spécifiée et si le commentaire extrait correspond à MOTIF_COMMENTAIRE_EXTRAIT, ou si -W est spécifiée et s’il contient le MARQUEUR_ÉTAT_TRADUCTION spécifié, ou si -S est spécifiée et s’il contient le MARQUEUR_PERSISTANT spécifié.

Lorsque plusieurs critères de sélection sont spécifiés, l’ensemble des messages sélectionnés correspond à l’union des messages sélectionnés par chaque critère.

Syntaxe de MOTIF_MSGCTXT, MOTIF_MSGID, MOTIF_MSGSTR, MOTIF_COMMENTAIRE et MOTIF_COMMENTAIRE_EXTRAIT :

    [-E | -F] [-e MOTIF | -f FICHIER]...

Les MOTIFs sont des expressions rationnelles de base par défaut, ou des expressions rationnelles étendues si l’option -E est spécifiée, ou des chaînes constantes si l’option -F est spécifiée.

-N, --location=FICHIER_SOURCE
    sélection des messages extraits de FICHIER_SOURCE

-M, --domain=NOM_DOMAINE
    sélection des messages appartenant à NOM_DOMAINE

-J, --msgctxt
    début des motifs pour le contexte (msgctxt)

-K, --msgid
    début des motifs pour la clé (msgid)

-T, --msgstr
    début des motifs pour la traduction (msgstr)

-C, --comment
    début des motifs pour le commentaire du traducteur

-X, --extracted-comment
    début des motifs pour le commentaire extrait

-E, --extended-regexp
    MOTIF est une expression rationnelle étendue

-F, --fixed-strings
    MOTIF est un ensemble de chaînes séparées par des caractères nouvelle ligne

-e, --regexp=MOTIF
    utilisation de MOTIF en tant qu’expression rationnelle

-f, --file=FICHIER
    obtenir le MOTIF de FICHIER

-i, --ignore-case
    ignorer la casse

-W, --workflow-flag=MARQUEUR
    sélection des messages avec le MARQUEUR spécifié

-S, --sticky-flag=MARQUEUR
    sélection des messages avec le MARQUEUR spécifié

-v, --invert-match
    ne produire que les messages qui ne correspondent à aucun critère de sélection

  Syntaxe du fichier d'entrée :

-P, --properties-input
    le fichier d'entrée a la syntaxe .properties de Java

--stringtable-input
    le fichier d'entrée a la syntaxe .strings de NeXTstep/GNUstep

  Présentation de la sortie :

--color
    toujours utiliser la couleur et d'autres attributs de texte

--color=QUAND
    QUAND utiliser la couleur et d'autres attributs de texte. QUAND peut être always, never, auto ou html

--style=FICHIER_STYLE
    spécifier le fichier de règles de style CSS pour --color

--no-escape
    ne pas utiliser de séquence d'échappement C dans la sortie (comportement par défaut)

--escape
    utiliser les séquences d'échappement C dans la sortie, pas les caractères étendus

--force-po
    écrire un fichier PO même s'il est vide

--indent
    style de sortie indenté

--no-location
    supprimer les lignes « #: nom_fichier:ligne »

-n, --add-location
    conserver les lignes « #: nom_fichier:ligne » (comportement par défaut)

--strict
    style de sortie Uniforum strict

-p, --properties-output
    écrire un fichier .properties Java

--stringtable-output
    écrire un fichier .strings NeXTstep/GNUstep

-w, --width=LARGEUR
    définir la LARGEUR de page de la sortie

--no-wrap
    ne pas scinder en plusieurs lignes les longues lignes de message, plus longues que la largeur de la page de sortie

--sort-output
    générer une sortie triée

--sort-by-file
    trier la sortie par emplacement de fichier

  Sortie informative :

-h, --help
    afficher l'aide-mémoire et quitter

-V, --version
    afficher les informations de version et quitter

AUTEUR
Écrit par Bruno Haible.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 2001-2026 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de msggrep est disponible dans un manuel Texinfo. Si les programmes info et msggrep sont correctement installés, la commande

    info msggrep

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.